Determine category collation for Livvi-Karelian Wikipedia (olo.wikipedia.org)
Closed, ResolvedPublic

Description

@Amire80 Which category collation do the users want?

Heh, that's an excellent question. I was about to just say uca-default-u-kn, but then I read about the alphabet, and found that it has a rather unusual Latin order. See https://en.wikipedia.org/wiki/Karelian_alphabet#Current_Karelian_alphabet_.282007.E2.80.93.29 and notice that Z is after S, as well as some other oddities. I guess that it needs to be added to ICU or CLDR, or can it be added locally?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 30 2016, 1:07 PM

Not sure what tag to put here. Feel free to amend.

I've checked and there is no olo collation in CLDR.

We need to prepare one, based on https://en.wikipedia.org/wiki/Karelian_alphabet#Current_Karelian_alphabet_.282007.E2.80.93.29 information.

Meanwhile, uca-default is a safe fallback with Z as an issue.

This isn't a blocker: as a new wiki, pages count is rather low and update collation will be a matter of seconds then minutes for the next months. So this is someone the community can plan, discuss and figure later.

Furthermore, figure a collation is tricky without a corpus to test it. With an working wiki, this is easier for the community to find sorting issues when they look to category pages and notice a weird sorting.

MarcoAurelio changed the task status from Open to Stalled.Nov 27 2016, 1:52 PM

@Dereckson This is the only remaining subtask open for creating olo.wikipedia. As I have no past experience with category collation, can you please take care of this one? Fallback is now set to Finnish (fi) (not yet live until tomorrow). Regards.

I propose that, since olo is very close to finnish, to use 'uca-fi' or 'uca-fi-u-kn' as category collation, since 'uca-olo' does not seem to exist or be a valid code?

Looking at https://olo.wikipedia.org/wiki/Kategourii:P%C3%A4iv%C3%A4t I think we really need uca-<langcode>-u-kn so numeric sorting works properly.

Change 334424 had a related patch set uploaded (by MarcoAurelio):
Define category collation for olo.wikipedia

https://gerrit.wikimedia.org/r/334424

MarcoAurelio added a subscriber: Niharika.

@Amire80 and @Niharika I've uploaded a patch setting it to uca-fi-u-kn. Do you think that'd work? Looking forward your advice.

Based on the comments above, it might be a slight improvement over uca-default, but still wrong.

Could we try asking on the village pump for olowiki about what collation they prefer?

They don't seem to pay much attention to that page. Feel free to ask them
though. Thanks.

Change 334424 merged by jenkins-bot:
Define category collation for olo.wikipedia

https://gerrit.wikimedia.org/r/334424

Mentioned in SAL (#wikimedia-operations) [2017-02-08T19:39:15Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Set category collation for olo.wikipedia (T146612, T147064) (duration: 00m 43s)

Mentioned in SAL (#wikimedia-operations) [2017-02-08T19:44:15Z] <Dereckson> mwscript updateCollation.php --wiki=olowiki --previous-collation=uppercase (T147064, 4238 rows processed)

MarcoAurelio closed this task as Resolved.Feb 8 2017, 7:50 PM
MarcoAurelio removed a project: Patch-For-Review.
MarcoAurelio claimed this task.

Deployed and tested it looks there are no problems so far. Still it'd be better to have someday a uca-xx-olo category collation. Closing as resolved for now. Feel free to reopen if you disagree. Thanks.